Upstream information

CVE-2017-12179 at MITRE

Description

xorg-x11-server before 1.19.5 was vulnerable to integer overflow in (S)ProcXIBarrierReleasePointer functions allowing malicious X client to cause X server to crash or possibly execute arbitrary code.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.6
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:H/Au:S/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low High
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 5
Vector AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1063038 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-extra >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1884
SUSE Linux Enterprise Desktop 12 SP3
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-extra >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1884
SUSE Linux Enterprise Server 11 SP4
  • xorg-x11-Xvnc >= 7.4-27.122.16.1
  • xorg-x11-server >= 7.4-27.122.16.1
  • xorg-x11-server-extra >= 7.4-27.122.16.1
Patchnames:
slessp4-xorg-x11-server-13345
SUSE Linux Enterprise Server 12 SP2
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-extra >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1884
SUSE Linux Enterprise Server 12 SP3
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-extra >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1884
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-extra >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1884
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xorg-x11-Xvnc >= 7.4-27.122.16.1
  • xorg-x11-server >= 7.4-27.122.16.1
  • xorg-x11-server-extra >= 7.4-27.122.16.1
Patchnames:
slessp4-xorg-x11-server-13345
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-extra >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1884
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-extra >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1884
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xorg-x11-server >= 7.4-27.122.16.1
  • xorg-x11-server-sdk >= 7.4-27.122.16.1
Patchnames:
sdksp4-xorg-x11-server-13345
SUSE Linux Enterprise Software Development Kit 12 SP2
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-sdk >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1884
SUSE Linux Enterprise Software Development Kit 12 SP3
  • xorg-x11-server >= 7.6_1.18.3-76.15.2
  • xorg-x11-server-sdk >= 7.6_1.18.3-76.15.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1884
openSUSE Leap 42.2
  • xorg-x11-server >= 7.6_1.18.3-12.26.1
  • xorg-x11-server-debuginfo >= 7.6_1.18.3-12.26.1
  • xorg-x11-server-debugsource >= 7.6_1.18.3-12.26.1
  • xorg-x11-server-extra >= 7.6_1.18.3-12.26.1
  • xorg-x11-server-extra-debuginfo >= 7.6_1.18.3-12.26.1
  • xorg-x11-server-sdk >= 7.6_1.18.3-12.26.1
  • xorg-x11-server-source >= 7.6_1.18.3-12.26.1
Patchnames:
openSUSE-2017-1177
openSUSE Leap 42.3
  • xorg-x11-server >= 7.6_1.18.3-28.1
  • xorg-x11-server-debuginfo >= 7.6_1.18.3-28.1
  • xorg-x11-server-debugsource >= 7.6_1.18.3-28.1
  • xorg-x11-server-extra >= 7.6_1.18.3-28.1
  • xorg-x11-server-extra-debuginfo >= 7.6_1.18.3-28.1
  • xorg-x11-server-sdk >= 7.6_1.18.3-28.1
  • xorg-x11-server-source >= 7.6_1.18.3-28.1
Patchnames:
openSUSE-2017-1177


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 xorg-x11-server Already fixed
SUSE Linux Enterprise Desktop 12 SP3 xorg-x11-server Already fixed
SUSE Linux Enterprise SDK 11 SP4 xorg-x11-server Released
SUSE Linux Enterprise SDK 12 SP2 xorg-x11-server Already fixed
SUSE Linux Enterprise SDK 12 SP3 xorg-x11-server Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS xorg-x11-server Already fixed
SUSE Linux Enterprise Server 11 SP4 xorg-x11-server Released
SUSE Linux Enterprise Server 12 SP2 xorg-x11-server Already fixed
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI xorg-x11-server Already fixed
SUSE Linux Enterprise Server 12 SP3 xorg-x11-server Already fixed